<?php 

    /**
     * PHPExcel
     *
     * Copyright (c) 2006 - 2015 PHPExcel
     *
     * This library is free software; you can redistribute it and/or
     * modify it under the terms of the GNU Lesser General Public
     * License as published by the Free Software Foundation; either
     * version 2.1 of the License, or (at your option) any later version.
     *
     * This library is distributed in the hope that it will be useful,
     * but WITHOUT ANY WARRANTY; without even the implied warranty of
     * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     * Lesser General Public License for more details.
     *
     * You should have received a copy of the GNU Lesser General Public
     * License along with this library; if not, write to the Free Software
     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
     *
     * @category   PHPExcel
     * @package    PHPExcel
     * @copyright  Copyright (c) 2006 - 2015 PHPExcel (http://www.codeplex.com/PHPExcel)
     * @license    http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt    LGPL
     * @version    ##VERSION##, ##DATE##
     */

    /** Error reporting */
    error_reporting(E_ALL);
    ini_set('display_errors', TRUE);
    ini_set('display_startup_errors', TRUE);
    date_default_timezone_set('Europe/London');

    if (PHP_SAPI == 'cli')
        die('This example should only be run from a Web Browser');

    /** Include PHPExcel */
    require_once dirname(__FILE__) . '../../lib/PHPExcel/Classes/PHPExcel.php';

    // Create new PHPExcel object
    $objPHPExcel = new PHPExcel();

    require_once "../../controlador/gestion.formulario.controlador.php";
    
    // Objeto
    $gestionControlador = new ControladorGestonFormulario();

    // Formulario
    $formulario = $gestionControlador->ctrConsultaFormulario($_GET['id_formulario'], 'unico', '');


    if($_GET['id_formulario']==2):
        // Formulario de atención
        
        // Formulario de atención
        $formularioAsistencia = $gestionControlador->ctrConsultaFormularioAsistencia('', $_GET['id_formulario'], 'general', '', $_GET['fecha_desde'], $_GET['fecha_hasta']);        

        // var_dump($formularioAsistencia);

        // Create a first sheet, representing sales data
        $objPHPExcel->setActiveSheetIndex(0);
        $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Id'); // Agrega valor a una celda
        $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Usuario registra'); // Agrega valor a una celda
        $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Fecha registro'); // Agrega valor a una celda
        $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Tipo de atención');
        $objPHPExcel->getActiveSheet()->setCellValue('E1', 'País');
        $objPHPExcel->getActiveSheet()->setCellValue('F1', 'Departamento');
        $objPHPExcel->getActiveSheet()->setCellValue('G1', 'Municipio');
        $objPHPExcel->getActiveSheet()->setCellValue('H1', 'Vereda');
        $objPHPExcel->getActiveSheet()->setCellValue('I1', 'Usuario atiende');
        $objPHPExcel->getActiveSheet()->setCellValue('J1', 'Cargo usuario atiende');
        $objPHPExcel->getActiveSheet()->setCellValue('K1', 'Nombre usuario atendido');
        $objPHPExcel->getActiveSheet()->setCellValue('L1', 'Nombre organización');
        $objPHPExcel->getActiveSheet()->setCellValue('M1', 'Tipo de población');
        $objPHPExcel->getActiveSheet()->setCellValue('N1', 'Número de identificación');
        $objPHPExcel->getActiveSheet()->setCellValue('O1', 'Teléfono');
        $objPHPExcel->getActiveSheet()->setCellValue('P1', 'Correo');
        $objPHPExcel->getActiveSheet()->setCellValue('Q1', 'Lineas productivas');
        $objPHPExcel->getActiveSheet()->setCellValue('R1', 'Número de atenciones');
        $objPHPExcel->getActiveSheet()->setCellValue('S1', 'Observación');


        $i = 2;
        foreach ($formularioAsistencia as $key_asistencia => $value_asistencia) {
            
            $objPHPExcel->getActiveSheet()->setCellValue('A'.$i, $value_asistencia['id_form_asistencia']); // Agrega valor a una celda
            $objPHPExcel->getActiveSheet()->setCellValue('B'.$i, $value_asistencia['id_usuario_registra']); // Agrega valor a una celda
            $objPHPExcel->getActiveSheet()->setCellValue('C'.$i, $value_asistencia['fecha_registro']);
            $objPHPExcel->getActiveSheet()->setCellValue('D'.$i, $value_asistencia['id_tipo_atencion']);
            $objPHPExcel->getActiveSheet()->setCellValue('E'.$i, $value_asistencia['nombre_pais']);
            $objPHPExcel->getActiveSheet()->setCellValue('F'.$i, $value_asistencia['nombre_depto']);
            $objPHPExcel->getActiveSheet()->setCellValue('G'.$i, $value_asistencia['nombre_municipio']);
            $objPHPExcel->getActiveSheet()->setCellValue('H'.$i, $value_asistencia['nombre_zona']);
            $objPHPExcel->getActiveSheet()->setCellValue('I'.$i, $value_asistencia['nombre_usuario_atiende']);
            $objPHPExcel->getActiveSheet()->setCellValue('J'.$i, $value_asistencia['cargo_usuario_atiende']);
            $objPHPExcel->getActiveSheet()->setCellValue('K'.$i, $value_asistencia['nombre_persona_atendida']);
            $objPHPExcel->getActiveSheet()->setCellValue('L'.$i, $value_asistencia['nombre_organizacion']);
            $objPHPExcel->getActiveSheet()->setCellValue('M'.$i, utf8_encode($value_asistencia['desc_tipo_poblacion']));
            $objPHPExcel->getActiveSheet()->setCellValue('N'.$i, $value_asistencia['numero_identificacion']);
            $objPHPExcel->getActiveSheet()->setCellValue('O'.$i, $value_asistencia['telefono']);
            $objPHPExcel->getActiveSheet()->setCellValue('P'.$i, $value_asistencia['correo']);
            $objPHPExcel->getActiveSheet()->setCellValue('Q'.$i, $value_asistencia['lineas_productivas']);
            $objPHPExcel->getActiveSheet()->setCellValue('R'.$i, $value_asistencia['numero_atenciones']);
            $objPHPExcel->getActiveSheet()->setCellValue('S'.$i, utf8_encode($value_asistencia['observacion_asistencia']));

            $i++;

        }

        // Centra texto en celdas fucionadas
        $style = array(
            'alignment' => array(
                    'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
            )
        );
        $objPHPExcel->getActiveSheet()->getStyle("A1:S1")->applyFromArray($style); // Centra texto

        $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('F')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('H')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('I')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('J')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('K')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('L')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('M')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('N')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('O')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('P')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('Q')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('R')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('S')->setAutoSize(true); // Ajusta celda al texto
       
        // Rename sheet
        $objPHPExcel->getActiveSheet()->setTitle('asistencia'); // Nombre de la primera hoja


        // Hoja 2
        $objPHPExcel->createSheet(); // Creando nueva hoja

        // Add some data to the second sheet, resembling some different data types
        $objPHPExcel->setActiveSheetIndex(1);
        $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Id asistencia');
        $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Cultivo');
        $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Edad cultivo');
        $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Total sembrado');
        $objPHPExcel->getActiveSheet()->setCellValue('E1', 'Total en producción');
        $objPHPExcel->getActiveSheet()->setCellValue('F1', 'Producción');
        $objPHPExcel->getActiveSheet()->setCellValue('G1', 'Rendimiento');
        $objPHPExcel->getActiveSheet()->setCellValue('H1', 'Costos producción');
        $objPHPExcel->getActiveSheet()->setCellValue('I1', 'Canal de comercialización');


        $y=2;  
        foreach ($formularioAsistencia as $key_asistencia => $value_asistencia) {
            // Información agrícola
            $infoAgricola = $gestionControlador->ctrConsultaFormularioAsistenciaAgricola($value_asistencia['id_form_asistencia'], $_GET['id_formulario'], 'general', '');
            foreach ($infoAgricola as $key_agricola => $value_agricola) { 

                $objPHPExcel->getActiveSheet()->setCellValue('A'.$y, $value_asistencia['id_form_asistencia']); // Agrega valor a una celda
                $objPHPExcel->getActiveSheet()->setCellValue('B'.$y, $value_agricola['cultivo']);
                $objPHPExcel->getActiveSheet()->setCellValue('C'.$y, $value_agricola['edad_cultivo']);
                $objPHPExcel->getActiveSheet()->setCellValue('D'.$y, $value_agricola['total_sembrado']);
                $objPHPExcel->getActiveSheet()->setCellValue('E'.$y, $value_agricola['total_en_produccion']);
                $objPHPExcel->getActiveSheet()->setCellValue('F'.$y, $value_agricola['produccion']);
                $objPHPExcel->getActiveSheet()->setCellValue('G'.$y, $value_agricola['rendimiento']);
                $objPHPExcel->getActiveSheet()->setCellValue('H'.$y, $value_agricola['costos_produccion']);
                $objPHPExcel->getActiveSheet()->setCellValue('I'.$y, $value_agricola['canal_comercializacion']);
                
                $y++;

            }

        }        


        $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('F')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('H')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('I')->setAutoSize(true); // Ajusta celda al texto

        $objPHPExcel->getActiveSheet()->getStyle("A1:I1")->applyFromArray($style); // Centra texto
        // Rename 2nd sheet
        $objPHPExcel->getActiveSheet()->setTitle('agricola');

        // Hoja 3
        // Create a new worksheet, after the default sheet
        $objPHPExcel->createSheet(); // Creando nueva hoja

        // Add some data to the second sheet, resembling some different data types
        $objPHPExcel->setActiveSheetIndex(2);
        $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Id asistencia');
        $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Especie');
        $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Raza');
        $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Edad');
        $objPHPExcel->getActiveSheet()->setCellValue('E1', 'Producción predio');
        $objPHPExcel->getActiveSheet()->setCellValue('F1', 'Costos producción');
        $objPHPExcel->getActiveSheet()->setCellValue('G1', 'Canal de comercialización');

         $x=2;  
        foreach ($formularioAsistencia as $key_asistencia => $value_asistencia) {
            // Información pecuaria
            $infoPecuaria = $gestionControlador->ctrConsultaFormularioAsistenciaPecuaria($value_asistencia['id_form_asistencia'], $_GET['id_formulario'], 'general', '');

            foreach ($infoPecuaria as $key_pecuaria => $value_pecuaria) { 

                $objPHPExcel->getActiveSheet()->setCellValue('A'.$x, $value_asistencia['id_form_asistencia']); // Agrega valor a una celda
                $objPHPExcel->getActiveSheet()->setCellValue('B'.$x, $value_pecuaria['especie']);
                $objPHPExcel->getActiveSheet()->setCellValue('C'.$x, $value_pecuaria['raza']);
                $objPHPExcel->getActiveSheet()->setCellValue('D'.$x, $value_pecuaria['edad']);
                $objPHPExcel->getActiveSheet()->setCellValue('E'.$x, $value_pecuaria['produccion_predio']);
                $objPHPExcel->getActiveSheet()->setCellValue('F'.$x, $value_pecuaria['costos_produccion']);
                $objPHPExcel->getActiveSheet()->setCellValue('G'.$x, $value_pecuaria['canal_comercializacion']);

                $x++;

            }

        }      

        $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('F')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setAutoSize(true); // Ajusta celda al texto

        $objPHPExcel->getActiveSheet()->getStyle("A1:G1")->applyFromArray($style); // Centra texto
        // Rename 2nd sheet
        $objPHPExcel->getActiveSheet()->setTitle('Pecuaria');

        // Hoja 4
        // Create a new worksheet, after the default sheet
        $objPHPExcel->createSheet(); // Creando nueva hoja

        // Add some data to the second sheet, resembling some different data types
        $objPHPExcel->setActiveSheetIndex(3);
        $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Id asistencia');
        $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Nombre de producto');
        $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Dosis recomendada');
        $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Método de aplicación');
        
        $r=2;  
        foreach ($formularioAsistencia as $key_asistencia => $value_asistencia) {
            // Info recomendaciones.
            $infoRecomendaciones = $gestionControlador->ctrConsultaFormularioAsistenciaRecomendaciones($value_asistencia['id_form_asistencia'], $_GET['id_formulario'], 'general', '');

            foreach ($infoRecomendaciones as $key_recomendaciones => $value_recomendaciones) {

                $objPHPExcel->getActiveSheet()->setCellValue('A'.$r, $value_asistencia['id_form_asistencia']); // Agrega valor a una celda
                $objPHPExcel->getActiveSheet()->setCellValue('B'.$r, $value_recomendaciones['nombre_producto']);
                $objPHPExcel->getActiveSheet()->setCellValue('C'.$r, $value_recomendaciones['dosis_recomendada']);
                $objPHPExcel->getActiveSheet()->setCellValue('D'.$r, $value_recomendaciones['metodo_aplicacion']);

                $r++;

            }

        }      

        $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true); // Ajusta celda al texto

        $objPHPExcel->getActiveSheet()->getStyle("A1:D1")->applyFromArray($style); // Centra texto
        // Rename 2nd sheet
        $objPHPExcel->getActiveSheet()->setTitle('Recomendaciones');

        // Redirect output to a client’s web browser (Excel5)
        header('Content-Type: application/vnd.ms-excel');
        header('Content-Disposition: attachment;filename="asistencia productores'.date('Y-m-d H:i:s').'.xls"');
        header('Cache-Control: max-age=0');
        $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
        $objWriter->save('php://output');


    elseif($_GET['id_formulario']==1):

        // Formulario de atención
        $formularioAtencion = $gestionControlador->ctrConsultaFormularioAtencion('', $_GET['id_formulario'], 'general', '', $_GET['fecha_desde'], $_GET['fecha_hasta']);   

       // Create a first sheet, representing sales data
    $objPHPExcel->setActiveSheetIndex(0);
    $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Id formulario'); // Agrega valor a una celda
    $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Id asistencia'); // Agrega valor a una celda
    $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Usuario registra');
    $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Fecha de registro');
    $objPHPExcel->getActiveSheet()->setCellValue('E1', 'Tipo de asesoría');
    $objPHPExcel->getActiveSheet()->setCellValue('F1', 'Observación asesoría');
    $objPHPExcel->getActiveSheet()->setCellValue('G1', 'Observación capacitación');
    $objPHPExcel->getActiveSheet()->setCellValue('H1', 'Acuerdo próxima visita');
    $objPHPExcel->getActiveSheet()->setCellValue('I1', 'Usuario atiende');
    $objPHPExcel->getActiveSheet()->setCellValue('J1', 'Usuario atendido');
    $objPHPExcel->getActiveSheet()->setCellValue('A2', $_GET['id_formulario']);



    $x=2;
    foreach ($formularioAtencion as $key_atencion => $value_atencion) {
        
        $objPHPExcel->getActiveSheet()->setCellValue('A'.$x, $value_atencion['id_formulario']); // Agrega valor a una celda
        $objPHPExcel->getActiveSheet()->setCellValue('B'.$x, $value_atencion['id_form_atencion']); // Agrega valor a una celda
        $objPHPExcel->getActiveSheet()->setCellValue('C'.$x, $value_atencion['id_usuario_registra']);
        $objPHPExcel->getActiveSheet()->setCellValue('D'.$x, $value_atencion['fecha_registro']);
        $objPHPExcel->getActiveSheet()->setCellValue('E'.$x, $value_atencion['id_tipo_asesoria']);
        $objPHPExcel->getActiveSheet()->setCellValue('F'.$x, $value_atencion['observacion']);
        $objPHPExcel->getActiveSheet()->setCellValue('G'.$x, $value_atencion['observacion_capacitacion']);
        $objPHPExcel->getActiveSheet()->setCellValue('H'.$x, $value_atencion['acuerdos_proxima_visita']);
        $objPHPExcel->getActiveSheet()->setCellValue('I'.$x, $value_atencion['firma_usuario_atiende']);
        $objPHPExcel->getActiveSheet()->setCellValue('J'.$x, $value_atencion['firma_usuario_atendido']);
        
        $x++;

    }


    // Centra texto en celdas fucionadas
    $style = array(
        'alignment' => array(
                'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
        )
    );

    $objPHPExcel->getActiveSheet()->getStyle("A1:H1")->applyFromArray($style); // Centra texto

    $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true); // Ajusta celda al texto
    $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true); // Ajusta celda al texto
    $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true); // Ajusta celda al texto
    $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true); // Ajusta celda al texto
    $objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true); // Ajusta celda al texto
    $objPHPExcel->getActiveSheet()->getColumnDimension('F')->setAutoSize(true); // Ajusta celda al texto
    $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setAutoSize(true); // Ajusta celda al texto
    $objPHPExcel->getActiveSheet()->getColumnDimension('H')->setAutoSize(true); // Ajusta celda al texto
    $objPHPExcel->getActiveSheet()->getColumnDimension('I')->setAutoSize(true); // Ajusta celda al texto
    $objPHPExcel->getActiveSheet()->getColumnDimension('J')->setAutoSize(true); // Ajusta celda al texto

    // Rename sheet
    $objPHPExcel->getActiveSheet()->setTitle('atención'); // Nombre de la primera hoja  

     // Create a new worksheet, after the default sheet
        $objPHPExcel->createSheet(); // Creando nueva hoja

        // Add some data to the second sheet, resembling some different data types
        $objPHPExcel->setActiveSheetIndex(1);
        $objPHPExcel->getActiveSheet()->setCellValue('A1', 'Id atención');
        $objPHPExcel->getActiveSheet()->setCellValue('B1', 'Tipo de capacitación');
        $objPHPExcel->getActiveSheet()->setCellValue('C1', 'Tema');
        $objPHPExcel->getActiveSheet()->setCellValue('D1', 'Genero');
        $objPHPExcel->getActiveSheet()->setCellValue('E1', 'Número de personas');
        
        
        $r=2;  
        foreach ($formularioAtencion as $key_atencion => $value_atencion) {
            // Info recomendaciones.
            $formularioAtencionCapacitacionCapacitacion = $gestionControlador->ctrConsultaFormularioAtencion($value_atencion['id_form_atencion'], $_GET['id_formulario'], 'general', '', $_GET['fecha_desde'], $_GET['fecha_hasta']); 

            foreach ($formularioAtencionCapacitacionCapacitacion as $key_capacitacion => $value_capacitacion) {

                $objPHPExcel->getActiveSheet()->setCellValue('A'.$r, $value_atencion['id_form_atencion']); // Agrega valor a una celda
                $objPHPExcel->getActiveSheet()->setCellValue('B'.$r, $value_capacitacion['tipo_capacitacion']);
                $objPHPExcel->getActiveSheet()->setCellValue('C'.$r, $value_capacitacion['tema']);
                $objPHPExcel->getActiveSheet()->setCellValue('D'.$r, $value_capacitacion['genero']);
                $objPHPExcel->getActiveSheet()->setCellValue('E'.$r, $value_capacitacion['numero_personas']);


                $r++;

            }

        }      

        $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true); // Ajusta celda al texto
        $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true); // Ajusta celda al texto

        $objPHPExcel->getActiveSheet()->getStyle("A1:D1")->applyFromArray($style); // Centra texto
        // Rename 2nd sheet
        $objPHPExcel->getActiveSheet()->setTitle('Recomendaciones');



    // Redirect output to a client’s web browser (Excel5)
    header('Content-Type: application/vnd.ms-excel');
    header('Content-Disposition: attachment;filename="asistencia productores'.date('Y-m-d H:i:s').'.xls"');
    header('Cache-Control: max-age=0');
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
    $objWriter->save('php://output');

?>

<?php endif; ?>        